\name{plotXResiduals.pls}
\alias{plotXResiduals.pls}
\title{X residuals plot for PLS}
\usage{
\method{plotXResiduals}{pls}(obj, ncomp = NULL, main = NULL, xlab = "T2",
  ylab = "Q2", show.labels = F, show.legend = T, ...)
}
\arguments{
  \item{obj}{a PLS model (object of class \code{pls})}

  \item{ncomp}{how many components to use (if NULL - user
  selected optimal value will be used)}

  \item{main}{main title for the plot}

  \item{xlab}{label for x axis}

  \item{ylab}{label for y axis}

  \item{show.labels}{logical, show or not labels for the
  plot objects}

  \item{show.legend}{logical, show or not a legend on the
  plot}

  \item{...}{other plot parameters (see \code{mdaplotg} for
  details)}
}
\description{
Shows a plot with Q2 residuals vs. Hotelling T2 values for
PLS decomposition of x data.
}
\details{
See examples in help for \code{\link{pls}} function.
}

